import 'package:electronic_assistant/data/bean/agenda.dart';
import 'package:json_annotation/json_annotation.dart';

import '../../bean/talks.dart';

part 'home_info_response.g.dart';

@JsonSerializable()
class HomeInfoResponse {
  @JsonKey(name: 'talks')
  List<TalkBean> talks;

  @JsonKey(name: 'agendas')
  List<Agenda> agendas;

  HomeInfoResponse({required this.talks, required this.agendas});

  factory HomeInfoResponse.fromJson(Map<String, dynamic> json) =>
      _$HomeInfoResponseFromJson(json);
}
